Contents
Index 🔎︎

# IIf Function

Returns one of two possible function results, depending on the logical value of the evaluated expression.

### Syntax:

    IIf (Bool As Boolean, Variant1 As Variant, Variant2 As Variant) As Variant

### Parameters:

Bool: Any expression that you want to evaluate. If the expression evaluates to True, the function returns the value of Variant1, otherwise it returns the value of Variant2.

Variant1, Variant2: Any expression, one of which will be returned as the function result, depending on the logical evaluation.

IIf evaluates both Variant1 and Variant2 even if it returns only one of them. If one of the expressions results in error, the function returns the error. For example, do not use IIF to bypass a possible division by zero result.

### Error codes:

5 Invalid procedure call

### Example:

    REM Returns the maximum of 3 values
    Function Max (A As Double, B As Double, C, As Double) As Double
        Max = IIf( A >= B, A, B)
        Max = IIf( C >= Max, C, Max)
    End Function
    REM Bad usage of function IIf
    Function Inverse(A As Double) As Double
        Inverse = IIf( A = 0, 0, 1/A )
    End Function

Related Topics

If or Select Case statements

Switch function